module PersonalTechnique
  class Engine < ::Rails::Engine
   initializer "personal_technique" do
		OrbitApp.registration "PersonalTechnique",:type=> 'ModuleApp' do
			module_label 'module_name.techniques'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '35', :app_name=>"Technique", :intro_app_name=>"TechniqueIntro",:path=>"/plugin/personal_technique/profile",:front_path=>"/profile",:admin_path=>"/admin/techniques/",:i18n=>'module_name.techniques', :module_app_name=>'Technique', :one_line_title => true, :field_modifiable => true, :analysis => true, :analysis_path => "/admin/techniques/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'
			frontend_enabled
			icon_class_no_sidebar "icons-user"
			data_count 1..10
		end
	end
  end
end
